/* Copyright 2004, 2005 Lei Zhang, Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __H_TSDEBUG__
#define __H_TSDEBUG__

#define NO_DEBUG 0
#define DEBUG_SYNC			0x1
#define DEBUG_OVER_COUNT	0x2
#define DEBUG_STAT			0x4

void TSDebugStart(int flags);
void TSDebugEnd();
void TSInstrumentStart();
void TSInstrumentEnd();
int TSDebug(int flag, char* fmt, ...);
int TSVDebug(int flag, char* fmt, va_list args);
int TSInstrument(char* fmt, ...);

#endif