/* Copyright 2004, 2005 Lei Zhang, Columbia University */
/* This file is part of THINC.

    THINC is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    THINC is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with THINC.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __TS_PROC_MIRROR_CMD__
#define __TS_PROC_MIRROR_CMD__

#include "TSDebug.h"

typedef struct TIME_FIELDS {
    short Year;
    short Month;
    short Day;
    short Hour;
    short Minute;
    short Second;
    short Milliseconds;
    short Weekday;
} TIME_FIELDS, *PTIME_FIELDS;

void DriverSysTimeToUserSysTime(PTIME_FIELDS pDrvST, PSYSTEMTIME pST);
BOOL SendCmd(void* cmdData);

#if 1
#ifdef _DEBUG
#define INSTRU_CMD_DETAILS
#endif
#endif


#endif