#ifndef _COMPACT_H_
#define _COMPACT_H_
#ifdef T_WIN32

#define _WIN32_WINNT 0x0500

#include "region.h"
#include "winsock2.h"
#include "ws2tcpip.h"
#include "poll.h"
#include "ws-util.h"
#include "gettimeofday.h"

typedef struct Screen_s {
	void*	pThinc;
} ScreenStr, *ScreenPtr;

typedef struct Pixmap_s {
	void* pThincPixmap; /*thincPixmapPtr*/
	void* pThinc;		/*thincScreenPtr*/
	int stride;
	int height;
	int width;
	int bpp;
} PixmapStr, *PixmapPtr;

typedef struct ScrnInfo_s {
	int pad;
}ScrnInfoStr, *ScrnInfoPtr;

typedef void* OsTimerCallback;

typedef struct Window_s {
	int pad;
} WindowStr, *WindowPtr;

typedef unsigned long ulong;
#define __func__ __FUNCTION__ 
#define __inline__ __inline

typedef void* pointer;
typedef char CARD8;
typedef short CARD16;
typedef int CARD32;

#define xf86VDrvMsgVerb(a,b,c,fmt,args) TSVDebug(DEBUG_STAT, fmt, args)/*printf(d,e)*/
#define xf86DrvMsgVerb(a,b,c,d,e,f,g) /*printf(d,e)*/
#define xf86GetOptValInteger(a,b,c) (*(c) = a[b])
#define xf86GetOptValBool(a,b,c) (*(c) = a[b])
#if 0
#define ScreenPtr void*
#define OsTimerPtr void*
#define	ScreenWakeupHandlerProcPtr 	void*
#define ScreenBlockHandlerProcPtr void*
#define CloseScreenProcPtr 	void*
#define xf86EnableDisableFBAccessProc void*

#define	PaintWindowBackgroundProcPtr void*
#define	PaintWindowBorderProcPtr void*
#define	CopyWindowProcPtr void*
	/* pixmap funcs */
#define	CreatePixmapProcPtr	void*
#define	DestroyPixmapProcPtr void*
#define	ModifyPixmapHeaderProcPtr void*
	/* gc funcs */
#define	CreateGCProcPtr	void*

	/* Render Procs we need to wrap */
#define	CreatePictureProcPtr void*
#define	DestroyPictureProcPtr void*
#define	ChangePictureClipProcPtr void*
#define	DestroyPictureClipProcPtr void*
	
#define	ChangePictureProcPtr void*
#define	ValidatePictureProcPtr void*
	
#define	InitIndexedProcPtr void*
#define	CloseIndexedProcPtr	 void*
#define	UpdateIndexedProcPtr void*

	/* the rendering functions */
#define	CompositeProcPtr void*
#define	GlyphsProcPtr void*
#define	CompositeRectsProcPtr void*
#define	TrapezoidsProcPtr void*
#define	TrianglesProcPtr void*
#define	TriStripProcPtr	void*
#define	TriFanProcPtr void*
#define	RasterizeTrapezoidProcPtr void*

#endif


#define CT_NONE                 0
#define CT_PIXMAP               1
#define CT_REGION               2
#define CT_UNSORTED             6
#define CT_YSORTED              10
#define CT_YXSORTED             14
#define CT_YXBANDED             18

#endif /*T_WIN32*/
#endif /* _COMPACT_H_ */